communauté
annuler
Affichage des résultats de 
Rechercher plutôt 
Vouliez-vous dire : 

Forum - Français

Trouvez des réponses, posez des questions, et partagez votre expertise d’Alteryx.

Tips de la semaine (32) - Ouvrir un workflow réalisé avec une version plus récente

Alteryx
Alteryx

Lorsqu'un workflow a été réalisé avec une version plus récente d'Alteryx Designer, en fonction des versions, il se peut qu'un message d'erreur empêche l'ouverture de celui-ci.

Il s'agit d'une sécurité pour s'assurer que le Workflow sera compatible avec cette version.

 

Voici à quoi ressemble le message d'erreur:

 

ChangeVersions_03.png

 

Cela signifie que vous essayez d'ouvrir un workflow créé avec une version plus récente que celle que vous possédez. Alteryx gère la compatibilité ascendante, ce qui signifie que si vous développez un workflow avec une version 10.5, il fonctionnera avec une version 2919.2. Cependant Alteryx Designer ne gère pas la compatibilité descendante, donc si vous développez vos Workflows avec une version 2019.2 il n'y a pas de certitude que celui-ci pourra fonctionner avec une version 10.5.

 

Vous avez différentes solutions dans ce cas, soit vous installez la version la plus récente d'Alteryx Designer, ou alors vous modifiez la version de votre workflow pour le rendre lisible par votre version.

 

Voici les différents types de type de fichier qu'Alteryx utilise :

 

yxmd

Fichier standard de Workflow

yxmc

Macro Workflow

yxwz

Application Analytique

yxzp

Workflow packagé

yxdb

Base de donnée Alteryx

 

Les trois premiers possèdent le même format - il s'agit de fichiers XML. Vous pouvez vous en apercevoir en activant l'option "XML View" d'Alteryx Designer (Options >> User Settings >> Edit User Settings >> Advanced >> Display XML in Properties Window).  La première section ressemble à celle-ci :

 

ChangeVersions_01.png

 

Dans l'explorateur Windows, naviguez à l'endroit où vous avez sauvegardé le workflow. Faites un clic droit puis 'éditer dans Notepad'

 

 

ChangeVersions_04.png

Recherchez le tag ymdVer = "XX.X" et modifiez la version avec votre version.  Puis, sauvegardez le fichier.

 

ChangeVersions_05.png

 

Le nœud AlteryxDocument est le même pour les Workflow, les Macros et les Applications Analytiques. Le tag yxmdVer est la partie du fichier qui indique à Alteryx Designer avec quelle version il a été conçu. Si vous souhaitez que ce Workflow puisse être ouvert par une version plus ancienne vous pouvez changer ce nombre. La table ci-après donne le numéro de version à utiliser en fonction de la version d'Alteryx Designer.

yxmdVer

Alteryx Versions

9.5

9.5

10.0

10, 10.1

10.5

10.5

10.6

10.6

 

Alors, quel est le risque d'utiliser cette méthode ? Alteryx ne garantit pas la cohérence du Workflow ainsi modifié cependant cela fonctionne très souvent.

L'univers des outils Alteryx évolue très rapidement, et si un outil utilisé n'existant pas, Alteryx Designer ajouterait un outil "Inconnu".

 

ChangeVersions_02.png

 

Cela peut généralement être résolu en cherchant l'outil manquant et en remplaçant l'outil inconnu par l'outil connu. Si l'outil inconnu est une macro, utilisez la même technique pour changer la version contenue dans le XML du fichier .yxmc. Après avoir sauvegardé, vous remplacez la Macro.

 

Et pour les Packages ?

Un Package Alteryx est un .zip renommé en.yxzp. Si vous changez l'extension en .zip, vous modifiez le XML du Workflow à l'intérieur puis renommez en .yxzp, vous serez en mesure d'ouvrir le package avec une version plus ancienne.